@using LSerialObserver.Domain.Connection
@using System.IO.Ports

@if (Options == null)
{
  <i class="bi bi-plus-square"></i>
  <span>Create Connection</span>
}
else
{
  <b>@Options.Device</b>
  <span class="mx-1">|</span>
  <span><b>@Options.BaudRate</b> baud</span>
  <span class="mx-1">|</span>
  <span><b>@Options.DataBits</b> bits</span>
  <span class="mx-1">|</span>
  <span>without parity</span>
  <span class="mx-1">|</span>
  <span>
    @switch (Options.StopBits)
    {
      case StopBits.None:
        <b>0</b>
        break;
      case StopBits.One:
        <b>1</b>
        break;
      case StopBits.OnePointFive:
        <b>1.5</b>
        break;
      case StopBits.Two:
        <b>2</b>
        break;
    }
    stop bit
  </span>
}

@code {

  [Parameter]
  public SerialPortOptions Options { get; set; }

}
